<?php

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__) . '/payanyway.php');

$payanyway = new payanyway();

if(isset($_REQUEST['MNT_ID']) && isset($_REQUEST['MNT_TRANSACTION_ID']) && isset($_REQUEST['MNT_OPERATION_ID'])
   && isset($_REQUEST['MNT_AMOUNT']) && isset($_REQUEST['MNT_CURRENCY_CODE']) && isset($_REQUEST['MNT_TEST_MODE'])
   && isset($_REQUEST['MNT_SIGNATURE']))
{

    // для чека на кассе
    $MNT_TRANSACTION_ID = $_REQUEST['MNT_TRANSACTION_ID'];

	$dataIntegrityCode = Configuration::get('PAYANYWAY_MNT_DATAINTEGRITY_CODE');
	$signature = md5("{$_REQUEST['MNT_ID']}{$_REQUEST['MNT_TRANSACTION_ID']}{$_REQUEST['MNT_OPERATION_ID']}{$_REQUEST['MNT_AMOUNT']}{$_REQUEST['MNT_CURRENCY_CODE']}{$_REQUEST['MNT_TEST_MODE']}{$dataIntegrityCode}");
	if ($_REQUEST['MNT_SIGNATURE'] == $signature)
	{
		$id_cart = (int)(substr($_REQUEST['MNT_TRANSACTION_ID'], 0, strpos($_REQUEST['MNT_TRANSACTION_ID'], '_')));
		$secure_cart = explode('_', $_REQUEST['MNT_TRANSACTION_ID']);
		$id_order = Order::getIdByCartId($secure_cart[0]);
		$order = new Order($id_order);

		$amount = number_format($order->total_paid, 2, '.', '');
		if ($amount == $_REQUEST['MNT_AMOUNT'])
		{
			$status = Configuration::get('PAYANYWAY_OS_SUCCEED');
			if(!$status){
				$status = Configuration::get('PS_OS_PAYMENT');
			}
			$order->setCurrentState($status);

            // поднять все данные по заказу
            $products = $order->getProducts();
            $customer = new Customer($order->id_customer);


            // пробить чек
            $clientEmail = $customer->email;

            // товары
            $inventory = array();
            if (is_array($products) && count($products)) {
                foreach ($products AS $product) {
                    $inventory[] = array(
                        'name' => trim(preg_replace("/&?[a-z0-9]+;/i", "", htmlspecialchars($product['product_name']))),
                        'price' => $product['product_price'],
                        'quantity' => $product['product_quantity'],
                        'vatTag' => '1105'
                    );
                }
            }
            $kassa_inventory = json_encode($inventory);

            // если есть товары и e-mail клиента ответим в xml
            if (count($inventory) && $clientEmail) {

                $resultCode = 200;

                $kassa_customer = $clientEmail;


                $deliveryAmount = $order->total_shipping;
                $kassa_delivery = ($deliveryAmount > 0) ? $deliveryAmount : null;

                header("Content-type: application/xml");

                $signature = md5($resultCode . $_REQUEST['MNT_ID'] . $_REQUEST['MNT_TRANSACTION_ID'] . $dataIntegrityCode);
                $result = '<?xml version="1.0" encoding="UTF-8" ?>';
                $result .= '<MNT_RESPONSE>';
                $result .= '<MNT_ID>' . $_REQUEST['MNT_ID'] . '</MNT_ID>';
                $result .= '<MNT_TRANSACTION_ID>' . $_REQUEST['MNT_TRANSACTION_ID'] . '</MNT_TRANSACTION_ID>';
                $result .= '<MNT_RESULT_CODE>' . $resultCode . '</MNT_RESULT_CODE>';
                $result .= '<MNT_SIGNATURE>' . $signature . '</MNT_SIGNATURE>';

                if ($kassa_inventory || $kassa_customer || $kassa_delivery) {
                    $result .= '<MNT_ATTRIBUTES>';
                }

                if ($kassa_inventory) {
                    $result .= '<ATTRIBUTE>';
                    $result .= '<KEY>INVENTORY</KEY>';
                    $result .= '<VALUE>' . $kassa_inventory . '</VALUE>';
                    $result .= '</ATTRIBUTE>';
                }

                if ($kassa_customer) {
                    $result .= '<ATTRIBUTE>';
                    $result .= '<KEY>CUSTOMER</KEY>';
                    $result .= '<VALUE>' . $kassa_customer . '</VALUE>';
                    $result .= '</ATTRIBUTE>';
                }

                if ($kassa_delivery) {
                    $result .= '<ATTRIBUTE>';
                    $result .= '<KEY>DELIVERY</KEY>';
                    $result .= '<VALUE>' . $kassa_delivery . '</VALUE>';
                    $result .= '</ATTRIBUTE>';
                }

                if ($kassa_inventory || $kassa_customer || $kassa_delivery) {
                    $result .= '</MNT_ATTRIBUTES>';
                }

                $result .= '</MNT_RESPONSE>';

                echo $result;

                exit;

            }
            else {
                die('SUCCESS');
            }

		}
		else
		{
			die('FAIL');
		}
	}
	else
	{
		die('FAIL');
	}
}
else
{
	die('FAIL');
}

?>